[arch-commits] Commit in eric/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Sat Jul 5 15:57:25 EDT 2008


    Date: Saturday, July 5, 2008 @ 15:57:25
  Author: eric
Revision: 4244

upgpkg: eric 4.1.6-1

Modified:
  eric/trunk/ChangeLog
  eric/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   48 ++++++++++++++++++++++++------------------------
 2 files changed, 29 insertions(+), 24 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-07-05 19:48:53 UTC (rev 4243)
+++ ChangeLog	2008-07-05 19:57:25 UTC (rev 4244)
@@ -1,3 +1,8 @@
+2008-07-05  Eric Belanger  <eric at archlinux.org>
+
+	* eric 4.1.6-1
+	* Upstream update
+
 2008-06-08  Eric Belanger  <eric at archlinux.org>
 
 	* eric 4.1.5-1

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-05 19:48:53 UTC (rev 4243)
+++ PKGBUILD	2008-07-05 19:57:25 UTC (rev 4244)
@@ -3,7 +3,7 @@
 # Contributor: riai <riai at bigfoot.com>, Ben <ben at benmazer.net>
 
 pkgname=eric
-pkgver=4.1.5
+pkgver=4.1.6
 pkgrel=1
 pkgdesc="A full-featured Python IDE that is written in PyQt4 using the QScintilla2 editor widget"
 arch=('i686' 'x86_64')
@@ -14,33 +14,33 @@
 replaces=('eric4')
 install=eric.install
 source=(http://downloads.sourceforge.net/sourceforge/eric-ide/eric4-${pkgver}.tar.gz eric.desktop)
-md5sums=('a76630c55551fa3f7fd18f1c5d440921' '77c494bb839c5744869d34355ea69095')
-sha1sums=('729076badb1b2efb975fcca79ec696359974ebac' '7529658c06e6c5c9ab587f0d18a2eafd42b87fee')
+md5sums=('fa8d0a230d9f369c67acd72dc35cea83' '77c494bb839c5744869d34355ea69095')
+sha1sums=('195f8904142927d6ee4e02de2c2d49d8bf95a7e6' '7529658c06e6c5c9ab587f0d18a2eafd42b87fee')
 
 build() {
-  cd ${startdir}/src/eric4-${pkgver}
+  cd ${srcdir}/eric4-${pkgver}
 
-  python install.py -c -b /usr/bin -d /usr/lib/python2.5/site-packages -i ${startdir}/pkg || return 1
+  python install.py -c -b /usr/bin -d /usr/lib/python2.5/site-packages -i ${pkgdir} || return 1
 
-  install -D -m644 ../eric.desktop ${startdir}/pkg/usr/share/applications/eric.desktop
-  install -D -m644 eric/icons/default/eric.png ${startdir}/pkg/usr/share/pixmaps/eric.png
+  install -D -m644 ../eric.desktop ${pkgdir}/usr/share/applications/eric.desktop || return 1
+  install -D -m644 eric/icons/default/eric.png ${pkgdir}/usr/share/pixmaps/eric.png || return 1
 
 # Creating version independant symlinks
-  ln -s /usr/bin/eric4 ${startdir}/pkg/usr/bin/eric
-  ln -s /usr/bin/eric4-api ${startdir}/pkg/usr/bin/eric-api
-  ln -s /usr/bin/eric4-compare ${startdir}/pkg/usr/bin/eric-compare
-  ln -s /usr/bin/eric4-configure ${startdir}/pkg/usr/bin/eric-configure
-  ln -s /usr/bin/eric4-diff ${startdir}/pkg/usr/bin/eric-diff
-  ln -s /usr/bin/eric4-doc ${startdir}/pkg/usr/bin/eric-doc
-  ln -s /usr/bin/eric4-editor ${startdir}/pkg/usr/bin/eric-editor
-  ln -s /usr/bin/eric4-helpviewer ${startdir}/pkg/usr/bin/eric-helpviewer
-  ln -s /usr/bin/eric4-plugininstall ${startdir}/pkg/usr/bin/eric-plugininstall
-  ln -s /usr/bin/eric4-pluginrepository ${startdir}/pkg/usr/bin/eric-pluginrepository
-  ln -s /usr/bin/eric4-pluginuninstall ${startdir}/pkg/usr/bin/eric-pluginuninstall
-  ln -s /usr/bin/eric4-qregexp ${startdir}/pkg/usr/bin/eric-qregexp
-  ln -s /usr/bin/eric4-re ${startdir}/pkg/usr/bin/eric-re
-  ln -s /usr/bin/eric4-tray ${startdir}/pkg/usr/bin/eric-tray
-  ln -s /usr/bin/eric4-trpreviewer ${startdir}/pkg/usr/bin/eric-trpreviewer
-  ln -s /usr/bin/eric4-uipreviewer ${startdir}/pkg/usr/bin/eric-uipreviewer
-  ln -s /usr/bin/eric4-unittest ${startdir}/pkg/usr/bin/eric-unittest
+  ln -s /usr/bin/eric4 ${pkgdir}/usr/bin/eric || return 1
+  ln -s /usr/bin/eric4-api ${pkgdir}/usr/bin/eric-api || return 1
+  ln -s /usr/bin/eric4-compare ${pkgdir}/usr/bin/eric-compare || return 1
+  ln -s /usr/bin/eric4-configure ${pkgdir}/usr/bin/eric-configure || return 1
+  ln -s /usr/bin/eric4-diff ${pkgdir}/usr/bin/eric-diff || return 1
+  ln -s /usr/bin/eric4-doc ${pkgdir}/usr/bin/eric-doc || return 1
+  ln -s /usr/bin/eric4-editor ${pkgdir}/usr/bin/eric-editor || return 1
+  ln -s /usr/bin/eric4-helpviewer ${pkgdir}/usr/bin/eric-helpviewer || return 1
+  ln -s /usr/bin/eric4-plugininstall ${pkgdir}/usr/bin/eric-plugininstall || return 1
+  ln -s /usr/bin/eric4-pluginrepository ${pkgdir}/usr/bin/eric-pluginrepository || return 1
+  ln -s /usr/bin/eric4-pluginuninstall ${pkgdir}/usr/bin/eric-pluginuninstall || return 1
+  ln -s /usr/bin/eric4-qregexp ${pkgdir}/usr/bin/eric-qregexp || return 1
+  ln -s /usr/bin/eric4-re ${pkgdir}/usr/bin/eric-re || return 1
+  ln -s /usr/bin/eric4-tray ${pkgdir}/usr/bin/eric-tray || return 1
+  ln -s /usr/bin/eric4-trpreviewer ${pkgdir}/usr/bin/eric-trpreviewer || return 1
+  ln -s /usr/bin/eric4-uipreviewer ${pkgdir}/usr/bin/eric-uipreviewer || return 1
+  ln -s /usr/bin/eric4-unittest ${pkgdir}/usr/bin/eric-unittest || return 1
 }





More information about the arch-commits mailing list